Package oracle.kv.pubsub

# Enum StreamOperation.Type

java.lang.Object
java.lang.Enum<StreamOperation.Type>
oracle.kv.pubsub.StreamOperation.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamOperation.Type>`

Enclosing interface:
  StreamOperation

public static enum StreamOperation.Type extends Enum<StreamOperation.Type>
The type of the operation.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETE`
  A `StreamOperation.DeleteEvent` operation.
  `PUT`
  A `StreamOperation.PutEvent` operation.
  `TRANSACTION`
  A `StreamOperation.TransactionEvent` operation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamOperation.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StreamOperation.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PUT

    public static final StreamOperation.Type PUT
    A `StreamOperation.PutEvent` operation.

  - ### DELETE

    public static final StreamOperation.Type DELETE
    A `StreamOperation.DeleteEvent` operation.

  - ### TRANSACTION

    public static final StreamOperation.Type TRANSACTION
    A `StreamOperation.TransactionEvent` operation

- ## Method Details

  - ### values

    public static StreamOperation.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StreamOperation.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null